Package org.apache.bcel.classfile

# Class NestHost

java.lang.Object
org.apache.bcel.classfile.Attribute
org.apache.bcel.classfile.NestHost

All Implemented Interfaces:
  `Cloneable`, `Node`

public final class NestHost extends Attribute
This class is derived from Attribute and records the nest host of the nest to which the current class or interface claims to belong. There may be at most one NestHost attribute in a ClassFile structure.

See Also:
  - `Attribute`

- ## Field Summary

  ### Fields inherited from class org.apache.bcel.classfile.Attribute

  `constant_pool, EMPTY_ARRAY, length, name_index, tag`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NestHost(int nameIndex, int length, int hostClassIndex, ConstantPool constantPool)`
  `NestHost(NestHost c)`
  Initializes from another object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(Visitor v)`
  Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class.
  `Attribute`
  `copy(ConstantPool constantPool)`
  `void`
  `dump(DataOutputStream file)`
  Dumps NestHost attribute to file stream in binary format.
  `int`
  `getHostClassIndex()`
  `void`
  `setHostClassIndex(int hostClassIndex)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.bcel.classfile.Attribute

  `addAttributeReader, addAttributeReader, clone, getConstantPool, getLength, getName, getNameIndex, getTag, println, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NestHost

    public NestHost(int nameIndex, int length, int hostClassIndex, ConstantPool constantPool)
    Parameters:
      `nameIndex` - Index in constant pool
      `length` - Content length in bytes
      `hostClassIndex` - Host class index
      `constantPool` - Array of constants

  - ### NestHost

    public NestHost(NestHost c)
    Initializes from another object. Note that both objects use the same references (shallow copy). Use copy() for a physical copy.
    Parameters:
      `c` - Source to copy.

- ## Method Details

  - ### accept

    public void accept(Visitor v)
    Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
    Specified by:
      `accept` in interface `Node`
    Specified by:
      `accept` in class `Attribute`
    Parameters:
      `v` - Visitor object

  - ### copy

    public Attribute copy(ConstantPool constantPool)
    Specified by:
      `copy` in class `Attribute`
    Parameters:
      `constantPool` - constant pool to save.
    Returns:
      deep copy of this attribute

  - ### dump

    public void dump(DataOutputStream file) throws IOException
    Dumps NestHost attribute to file stream in binary format.
    Overrides:
      `dump` in class `Attribute`
    Parameters:
      `file` - Output file stream
    Throws:
      `IOException` - if an I/O error occurs.

  - ### getHostClassIndex

    public int getHostClassIndex()
    Returns:
      index into constant pool of host class name.

  - ### setHostClassIndex

    public void setHostClassIndex(int hostClassIndex)
    Parameters:
      `hostClassIndex` - the host class index

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Attribute`
    Returns:
      String representation